Package de.willuhn.jameica.hbci.gui.input

# Class HBCIVersionInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.SelectInput
de.willuhn.jameica.hbci.gui.input.HBCIVersionInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class HBCIVersionInput extends de.willuhn.jameica.gui.input.SelectInput
Combo-Box, die die verfuegbaren HBCI-Versionen enthaelt.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`HBCIVersionInput()`
ct.
`HBCIVersionInput(org.kapott.hbci.passport.HBCIPassport passport, String selected)`
ct.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getValue()`
Liefert die ID der ausgwaehlten HBCI-Version als `java.lang.String`.
`void`
`setPreselected(Object preselected)`
`void`
`setValue(Object o)`

### Methods inherited from class de.willuhn.jameica.gui.input.SelectInput

`addListener, disable, enable, focus, format, getControl, getList, getText, isEnabled, setAttribute, setEditable, setEnabled, setList, setPleaseChoose`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, setValidChars, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIVersionInput

public HBCIVersionInput() throws RemoteException
ct.

Throws:
  `RemoteException`

### HBCIVersionInput

public HBCIVersionInput(org.kapott.hbci.passport.HBCIPassport passport, String selected) throws RemoteException
ct.

Parameters:
  `passport` - Passport.
  `selected` - die vorausgewaehlte HBCI-Version.
Throws:
  `RemoteException`

## Method Details

### getValue

public Object getValue()
Liefert die ID der ausgwaehlten HBCI-Version als `java.lang.String`. Moegliche Rueckgabe-Werte:

- `null` (Version wird aus Sicherheitsmedium gelesen)
- 201
- 210
- 220
- plus
- 300

Specified by:
  `getValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `getValue` in class `de.willuhn.jameica.gui.input.SelectInput`
See Also:
  - `Input.getValue()`

### setPreselected

public void setPreselected(Object preselected)

Overrides:
  `setPreselected` in class `de.willuhn.jameica.gui.input.SelectInput`
See Also:
  - `SelectInput.setPreselected(java.lang.Object)`

### setValue

public void setValue(Object o)

Specified by:
  `setValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `setValue` in class `de.willuhn.jameica.gui.input.SelectInput`
See Also:
  - `SelectInput.setValue(java.lang.Object)`